public class Simulation {

    private int numOfDice;
    private int numOfToss;
    private Bins bin;
    private Dice dice;

    public static void main(String[] arg) {
        Simulation simulation = new Simulation(2, 1000000);
        simulation.printResults();
    }

    public Simulation(int numOfDice, int numOfToss) {
        this.numOfDice = numOfDice;
        this.numOfToss = numOfToss;
        bin = new Bins(numOfDice, numOfToss * 6);
        dice = new Dice(numOfDice);
    }

    public Bins run() {
        for(int i = 0; i <= numOfToss; i++) {
            int roll = dice.tossAndSum();
            bin.incrementBin(roll);
        }
        return bin;
    }

    public String printResults() {

        StringBuilder results = new StringBuilder();
        results.append("***\nSimulation of "+numOfDice+" dice tossed for "+numOfToss+" times.\n***\n");

        for(int i = bin.getMin(); i <= bin.getMax(); i++) {
            float percent = (float) bin.getBin(i) / numOfToss;
            StringBuilder s = new StringBuilder();
            for(int j = 0; j <= (int) (percent * 100); j++) {
                s.append("*");
            }
            String format = String.format(" %3d : %7d: %.2f %s \n", i, bin.getBin(i), percent, s);
            results.append(format);
        }
        System.out.println(results);
        return results.toString();
    }


}
